LOOK(1)

NAME
look - find lines is a sorted list

SYNOPSIS
look [ -dfa ] string [ file ]

DESCRIPTION
look performs a binary search for string in the sorted file file, and prints lines that begin with string. The -d and -f flags describe exactly how the file is sorted. By default, the file /usr/dict/words is used, with the -df options enabled.

OPTIONS

-d  Specifies "dictionary" ordering. Only letters, digits, tabs, and spaces are considered when doing comparisons.

-f  Specifies that upper and lower case letters will be "folded" together, so that upper and lower case letters will be treated identically when doing comparisons.

-a  Specified that the "alternate" word list will be used. The alternate word list is defined to be /usr/dict/web2, which is usually the public domain version of the 2nd Webster's word list.

FILES
/usr/dict/words
/usr/dict/web2

SEE ALSO
dict(1), sort(1), grep(1), agrep(1)

AUTHOR
Rik Faith (faith@cs.unc.edu)